<div class="row">
    <div class="col-md-12">
        <div class="alert mb-0" role="alert" *ngIf="misbehaviors">
            {{'modules.misbehavior.dashboard.alert' | translate: { quantity: misbehaviors['data']['metadata']['totalResults'] } }}
        </div>
    </div>
</div>
<!-- Filters -->
<app-table-filters [filters]="tableFilters" (submitFilters)="clickFilters($event)" (resetFilter)="clickFilters($event)" (changeItems)="changeItems($event)" (range)="dateRange($event)"></app-table-filters>
<!-- table -->
<app-table-layout *ngIf="misbehaviors" [records]="misbehaviors['data']['rows']" [tableActions]="tableActions"
    [columnSettings]="columnSettings" [showButtonAdd]="false" [perPage]="misbehaviors.data['metadata'].pageSize"
    [totalRecords]="misbehaviors.data['metadata'].totalResults" [pageNumber]="misbehaviors.data['metadata'].currentPage"
    (clickView)="view($event)" (changePage)="getMisbehaviors($event)">
</app-table-layout>